Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.logging
Class Log4jConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.logging.Log4jConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class Log4jConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`Log4jConfig()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`Object` | `all(Map appenderAndPackages)`
`Object` | `all(Object[] packages)`
`Object` | `appender(org.apache.log4j.Appender instance)`
`Object` | `appender(Map name, org.apache.log4j.Appender instance)`
`Object` | `appenders(groovy.lang.Closure callable)`
`Object` | `configure()`
`Object` | `configure(groovy.lang.Closure callable)`
`Object` | `debug(Map appenderAndPackages)`
`Object` | `debug(Object[] packages)`
`Object` | `development(groovy.lang.Closure callable)`
`Object` | `eachLogger(Object packages, groovy.lang.Closure callable)`
`Object` | `environments(groovy.lang.Closure callable)`
`Object` | `error(Map appenderAndPackages)`
`Object` | `error(Object[] packages)`
`Object` | `fatal(Map appenderAndPackages)`
`Object` | `fatal(Object[] packages)`
`static Object` | `getAPPENDERS()`
`static Object` | `getDEFAULT_PATTERN_LAYOUT()`
`static Object` | `getLAYOUTS()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`Object` | `info(Map appenderAndPackages)`
`Object` | `info(Object[] packages)`
`Object` | `invokeMethod(String method, Object arguments)`
`Object` | `methodMissing(String name, Object args)`
`Object` | `off(Map appenderAndPackages)`
`Object` | `off(Object[] packages)`
`Object` | `production(groovy.lang.Closure callable)`
`Object` | `removeAppender(String name)`
`org.apache.log4j.Logger` | `root(groovy.lang.Closure c)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`Object` | `test(groovy.lang.Closure callable)`
`Object` | `trace(Map appenderAndPackages)`
`Object` | `trace(Object[] packages)`
`Object` | `warn(Map appenderAndPackages)`
`Object` | `warn(Object[] packages)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jConfig

    public Log4jConfig()

Method Detail

### getDEFAULT_PATTERN_LAYOUT

    public static Object getDEFAULT_PATTERN_LAYOUT()

### getLAYOUTS

    public static Object getLAYOUTS()

### getAPPENDERS

    public static Object getAPPENDERS()

### methodMissing

    public Object methodMissing(String name,
                                Object args)

### configure

    public Object configure()

### environments

    public Object environments(groovy.lang.Closure callable)

### development

    public Object development(groovy.lang.Closure callable)

### production

    public Object production(groovy.lang.Closure callable)

### test

    public Object test(groovy.lang.Closure callable)

### configure

    public Object configure(groovy.lang.Closure callable)

### root

    public org.apache.log4j.Logger root(groovy.lang.Closure c)

### appenders

    public Object appenders(groovy.lang.Closure callable)

### appender

    public Object appender(Map name,
                           org.apache.log4j.Appender instance)

### appender

    public Object appender(org.apache.log4j.Appender instance)

### off

    public Object off(Map appenderAndPackages)

### fatal

    public Object fatal(Map appenderAndPackages)

### error

    public Object error(Map appenderAndPackages)

### warn

    public Object warn(Map appenderAndPackages)

### info

    public Object info(Map appenderAndPackages)

### debug

    public Object debug(Map appenderAndPackages)

### trace

    public Object trace(Map appenderAndPackages)

### all

    public Object all(Map appenderAndPackages)

### eachLogger

    public Object eachLogger(Object packages,
                             groovy.lang.Closure callable)

### off

    public Object off(Object[] packages)

### fatal

    public Object fatal(Object[] packages)

### error

    public Object error(Object[] packages)

### warn

    public Object warn(Object[] packages)

### info

    public Object info(Object[] packages)

### debug

    public Object debug(Object[] packages)

### trace

    public Object trace(Object[] packages)

### all

    public Object all(Object[] packages)

### removeAppender

    public Object removeAppender(String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project